﻿@using LoyaltyPointEngine.Model.Object
@model ResultModel<List<CollectUptradeModel>>
@{

}
<!--=== Page Header ===-->
<div class="page-header">
    <div class="page-title">
        <h3>Result : @(Model.Value.ToList().Count > 0 ? Model.StatusMessage : "Data tidak ditemukan") </h3>
    </div>
</div>
<!-- /Page Header -->
<div class="row">

    <div class="col-md-12">
        <div class="widget box">
            <div class="widget-header">
                <h4><i class="icon-reorder"></i>Result</h4>
            </div>
            @Html.Grid(Model.Value).Columns(columns =>
        {
            columns.Add(x => x.ReceiptCode)
                .Titled("Code")
                .Encoded(false)
                .Sanitized(false)
                .Sortable(true);

            columns.Add(x => x.ProductAfter)
                .Titled("Product After")
                .Encoded(false)
                .Sanitized(false)
                .Sortable(true);

            columns.Add(x => x.ProductAfterDate)
                .Titled("Product After Date")
                .Encoded(false)
                .Sanitized(false)
                .Sortable(true);

            columns.Add(x => x.ProductBefore)
                .Titled("Product Before")
                .Encoded(false)
                .Sanitized(false)
                .Sortable(true);

            columns.Add(x => x.ProductBeforeDate)
                .Titled("Product Before Date")
                .Encoded(false)
                .Sanitized(false)
                .Sortable(true);

            columns.Add(x => x.Channel)
                .Titled("Channel")
                .Encoded(false)
                .Sanitized(false)
                .Sortable(true);

            columns.Add(x => x.Remarks)
                .Titled("Status")
                .Encoded(false)
                .Sanitized(false)
                .Sortable(true);

        }).WithPaging(500)
        </div>
    </div>
</div>
